sc::SymmOneBodyIntIter Class Reference
Inheritance diagram for sc::SymmOneBodyIntIter:
[legend]
Collaboration diagram for sc::SymmOneBodyIntIter:
[legend]

## Public Member Functions

| SymmOneBodyIntIter (const Ref< OneBodyInt > &, const Ref< PetiteList > &)
void | start (int ist=0, int jst=0, int ien=0, int jen=0)
void | next ()
double | scale () const
bool | cloneable ()
Ref< OneBodyIntIter > | clone ()
Public Member Functions inherited from sc::OneBodyIntIter
| OneBodyIntIter (const Ref< OneBodyInt > &)
int | ready () const
int | ishell () const
int | jshell () const
int | ijshell () const
int | redundant () const
void | set_redundant (int i)
Ref< OneBodyInt > | one_body_int ()
ShellPairIter & | current_pair ()
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Attributes

Ref< PetiteList > | pl
Protected Attributes inherited from sc::OneBodyIntIter
Ref< OneBodyInt > | obi
ShellPairIter | spi
int | redund
int | istart
int | jstart
int | iend
int | jend
int | icur
int | jcur
int | ij

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

The documentation for this class was generated from the following file:

- symmint.h